Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectstyle.cayenne
Class TempObjectId

    java.lang.Object
      org.objectstyle.cayenne.ObjectId
          org.objectstyle.cayenne.TempObjectId

All Implemented Interfaces:
  java.io.Serializable

Deprecated. since 1.2 superclass can represent both permanent and temporary id.

    public class TempObjectId

extends ObjectId

An ObjectId for new objects that hasn't been committed to the external data store. On commit, a TempObjectId is replaced with a permanent ObjectId tied to a primary key of an object in the external data store.

### Upgrade Note:

If you were referencing TempObjectId explicitly in your code (e.g. if(id instanceof TempObjectId)...), you will need to modify the code and use "isTemporary()" superclass method.

Author:
  Andrei Adamchik
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.objectstyle.cayenne.ObjectId
`entityName, key, objectIdKeys, replacementIdMap`

Constructor Summary
`TempObjectId(java.lang.Class objectClass)` Deprecated. Creates a non-portable temporary ObjectId that should be replaced by a permanent id once a corresponding object is committed.

Method Summary
`boolean` | `isTemporary()` Deprecated. Always returns `true`.

Methods inherited from class org.objectstyle.cayenne.ObjectId
`createReplacementId, equals, getEntityName, getIdSnapshot, getKey, getReplacementId, getReplacementIdMap, getValueForAttribute, hashCode, isReplacementIdAttached, setIdKeys, setReplacementId, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TempObjectId

    public TempObjectId(java.lang.Class objectClass)

  Deprecated.
  Creates a non-portable temporary ObjectId that should be replaced by a permanent id once a corresponding object is committed.

Method Detail

### isTemporary

    public boolean isTemporary()

  Deprecated.
  Always returns `true`.

  Overrides:
    `isTemporary` in class `ObjectId`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 ObjectStyle.org All Rights Reserved.